> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.resemble.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.resemble.ai/_mcp/server.

# Get auto-reload settings

GET https://app.resemble.ai/billing/api/v1/wallet/auto_reload

Returns the current team's auto-reload configuration, whether a payment method is available, and the supported reload range.

Reference: https://docs.resemble.ai/api-reference/billing-wallet/get-billing-auto-reload

## Authentication

- `Authorization` header (bearer token, required) — API key from https://app.resemble.ai/hub/api

## Response

### 200

Auto-reload configuration or null when it has not been configured.

- `auto_reload` (BillingAutoReloadSetting, optional, nullable)
- `minimum_reload_amount_cents` (integer, optional)
- `maximum_reload_amount_cents` (integer, optional)

## Errors

### 401 Unauthorized Error

A valid API key was not provided.

- `error` (string, required) — Human-readable error message.

### 403 Forbidden Error

The API key owner cannot manage billing, or the Billing API is unavailable for the customer's billing arrangement.

- `error` (string, required) — Human-readable authorization or eligibility error.
- `error_code` (string, optional, nullable) — Machine-readable error code when one is available.

### 500 Internal Server Error

An unexpected billing error occurred.

- `error` (string, required) — Human-readable error message.

## Types

### BillingAutoReloadSetting

- `enabled` (boolean, optional)
- `reload_amount_cents` (integer, optional)
- `reload_amount_dollars` (double, optional)
- `minimum_balance_threshold_cents` (integer, optional)
- `minimum_balance_threshold_dollars` (double, optional)
- `maximum_monthly_spend_cents` (integer, optional)
- `maximum_monthly_spend_dollars` (double, optional)
- `current_month_spend_cents` (integer, optional)
- `current_month_spend_dollars` (double, optional)
- `remaining_monthly_allowance_cents` (integer, optional)
- `remaining_monthly_allowance_dollars` (double, optional)
- `has_payment_method` (boolean, optional)
- `can_reload` (boolean, optional)

## Examples

**Response**

```json
{
  "auto_reload": {
    "enabled": true,
    "reload_amount_cents": 1,
    "reload_amount_dollars": 1.1,
    "minimum_balance_threshold_cents": 1,
    "minimum_balance_threshold_dollars": 1.1,
    "maximum_monthly_spend_cents": 1,
    "maximum_monthly_spend_dollars": 1.1,
    "current_month_spend_cents": 1,
    "current_month_spend_dollars": 1.1,
    "remaining_monthly_allowance_cents": 1,
    "remaining_monthly_allowance_dollars": 1.1,
    "has_payment_method": true,
    "can_reload": true
  },
  "minimum_reload_amount_cents": 1,
  "maximum_reload_amount_cents": 1
}
```

**SDK Code**

```python
import requests

url = "https://app.resemble.ai/billing/api/v1/wallet/auto_reload"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.resemble.ai/billing/api/v1/wallet/auto_reload';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.resemble.ai/billing/api/v1/wallet/auto_reload"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.resemble.ai/billing/api/v1/wallet/auto_reload")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.resemble.ai/billing/api/v1/wallet/auto_reload")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.resemble.ai/billing/api/v1/wallet/auto_reload', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.resemble.ai/billing/api/v1/wallet/auto_reload");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.resemble.ai/billing/api/v1/wallet/auto_reload")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```